%define anolis_release 1
%global pypi_name blendmodes
%global pypi_version 2024

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Use this module to apply a number of blending modes to a background and foreground image

License:        MIT
URL:            https://github.com/FHPythonUtils/BlendModes
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Use this module to apply a number of blending modes to a background and
foreground image

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Use this module to apply a number of blending modes to a background and
foreground image


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md


%changelog
* Thu Apr 18 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 2024-1
- Initial package.
